WSDL::WSDLLib Class Reference

contains helper methods for retrieving WSDLs from a URL More...

## Static Public Member Functions

static data | getFile (string fn, bool as_string=True)
| retrieves a local file and returns the file's contents as a string More...
static string | getHTTP (string url, *string path, *HTTPClient hc, *hash headers, bool as_string=True)
| retrieves a file from a URL with HTTP and returns the file's contents as a string More...
static data | getFTP (string url, string path, bool as_string=True)
| retrieves a file from a URL with the FTP protocol and returns the file's contents as binary or string data More...
static data | getFileFromURL (string url, string def_protocol="file", *HTTPClient http_client, *hash http_headers, bool as_string=True, *string def_path, *reference new_def_path)
| retrieves a file from a URL More...
static data | getFileFromURL (string url, hash u, string def_protocol="file", *HTTPClient http_client, *hash http_headers, bool as_string=False, *string def_path, *reference new_def_path)
| retrieves a file from an already-parsed URL More...
static WebService | getWSDL (WebService wsdl)
| returns the argument
static string | getWSDL (string wsdl, *HTTPClient http_client, *hash http_headers, *reference new_def_path)
| returns a WSDL string form a file name, optional HTTPClient object and optional header hash More...
static hash | parseSOAPMessage (hash msg)
| takes a hash representation of a SOAP message and parses it to a Qore data structure; handles multipart messages, checks the content-type, and handles hrefs in the message

## Public Attributes

const | SoapMimeTypes = (MimeTypeSoapXml, MimeTypeXml, MimeTypeXmlApp)
| Mime types recognized as SOAP messages.

## Detailed Description

contains helper methods for retrieving WSDLs from a URL

## Member Function Documentation

static data WSDL::WSDLLib::getFile | ( | string | fn,
|  | bool | as_string = `True`
| ) |  |

static

retrieves a local file and returns the file's contents as a string

called by WSDLLib::getFileFromURL() in case the scheme is "file"

static data WSDL::WSDLLib::getFileFromURL | ( | string | url,
|  | string | def_protocol = `"file"`,
|  | *HTTPClient | http_client,
|  | *hash | http_headers,
|  | bool | as_string = `True`,
|  | *string | def_path,
|  | *reference | new_def_path
| ) |  |

static

retrieves a file from a URL

in case the URL is actually a file path, environment variable substitution is performed on the path string

static data WSDL::WSDLLib::getFileFromURL | ( | string | url,
|  | hash | u,
|  | string | def_protocol = `"file"`,
|  | *HTTPClient | http_client,
|  | *hash | http_headers,
|  | bool | as_string = `False`,
|  | *string | def_path,
|  | *reference | new_def_path
| ) |  |

static

retrieves a file from an already-parsed URL

in case the URL is actually a file path, environment variable substitution is performed on the path string

static data WSDL::WSDLLib::getFTP | ( | string | url,
|  | string | path,
|  | bool | as_string = `True`
| ) |  |

static

retrieves a file from a URL with the FTP protocol and returns the file's contents as binary or string data

called by WSDLLib::getFileFromURL() in case the scheme is "ftp"

static string WSDL::WSDLLib::getHTTP | ( | string | url,
|  | *string | path,
|  | *HTTPClient | hc,
|  | *hash | headers,
|  | bool | as_string = `True`
| ) |  |

static

retrieves a file from a URL with HTTP and returns the file's contents as a string

called by WSDLLib::getFileFromURL() in case the scheme is "http"

static string WSDL::WSDLLib::getWSDL | ( | string | wsdl,
|  | *HTTPClient | http_client,
|  | *hash | http_headers,
|  | *reference | new_def_path
| ) |  |

static

returns a WSDL string form a file name, optional HTTPClient object and optional header hash

in case the wsdl argument is actually a file path, environment variable substitution is performed on the path string